# Simple toolchain template file for clang running on arm Linux
set(CMAKE_SYSTEM_NAME Linux)
set(CMAKE_SYSTEM_PROCESSOR arm)

set(CMAKE_SYSROOT /opt/arm-linux-gnueabihf/arm-linux-gnueabihf/sys-root/)
set(CMAKE_INSTALL_PREFIX $ENV{prefix})

set(CMAKE_C_COMPILER   /opt/bin/clang)
set(CMAKE_CXX_COMPILER /opt/bin/clang++)
set(CMAKE_Fortran_COMPILER /opt/bin/gfortran)

set(CMAKE_LINKER  /opt/bin/arm-linux-gnueabihf-ld)
set(CMAKE_OBJCOPY /opt/bin/arm-linux-gnueabihf-objcopy)

set(CMAKE_AR     /opt/bin/arm-linux-gnueabihf-ar)
set(CMAKE_NM     /opt/bin/arm-linux-gnueabihf-nm)
set(CMAKE_RANLIB /opt/bin/arm-linux-gnueabihf-ranlib)


if( $ENV{CC} MATCHES ccache )
    set_property(GLOBAL PROPERTY RULE_LAUNCH_COMPILE ccache)
endif()
